# wsrm__OfferType Struct Reference

"http://docs.oasis-open.org/ws-rx/wsrm/200702":OfferType is a complexType. More...

`#include <wsrm.h>`

Collaboration diagram for wsrm__OfferType:

[legend]
List of all members.

## Public Attributes

char * | Identifier
| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Identifier.
wsa5__EndpointReferenceType | Endpoint
| Element Endpoint of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType.
xsd__duration * | Expires
| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Expires.
enum wsrm__IncompleteSequenceBehaviorType * | IncompleteSequenceBehavior
| Element IncompleteSequenceBehavior of type "http://docs.oasis-open.org/ws-rx/wsrm/200702":IncompleteSequenceBehaviorType.

## Detailed Description

"http://docs.oasis-open.org/ws-rx/wsrm/200702":OfferType is a complexType.

## Member Data Documentation

wsa5__EndpointReferenceType wsrm__OfferType::Endpoint

| Element Endpoint of type "http://www.w3.org/2005/08/addressing":EndpointReferenceType. Required element.

xsd__duration* wsrm__OfferType::Expires

| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Expires. Optional element.

char* wsrm__OfferType::Identifier

| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Identifier. Required element.

enum wsrm__IncompleteSequenceBehaviorType* wsrm__OfferType::IncompleteSequenceBehavior

| Element IncompleteSequenceBehavior of type "http://docs.oasis-open.org/ws-rx/wsrm/200702":IncompleteSequenceBehaviorType. Optional element.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/wsrm.h